Revised TDM installation

Removed R14.0.9 references
pull/25/head
Ray-V 3 years ago
parent b54e41a231
commit 2dcbecf878

@ -1,4 +1,4 @@
The 14.0.9 build has been updated with a backport from the development version. The many enhancements include setting key and/or background colours, and displaying level 3 & 4 characters where the xkb/symbols definitions include using the AltGr [ralt] key.
The many enhancements include setting key and/or background colours, and displaying level 3 & 4 characters where the xkb/symbols definitions include using the AltGr [ralt] key.
Build-time options to be hard-coded into the app are:

@ -518,26 +518,34 @@ ${DLG_BOX:-0 0}
[[ $? == 1 ]] && echo leave > $TMPVARS/PKG_CONFIG_PATH_MOD
}
## only run this if tdebase has been selected
rm -f $TMPVARS/RUNLEVEL
[[ $(grep -o tdebase $TMPVARS/TDEbuilds) ]] && {
EXITVAL=2
## the default exit status for the extra button is 3 - exit from a help button is 2 which is needed for RUNLEVEL
EXITVAL=3
until [[ $EXITVAL -lt 2 ]] ; do
dialog --cr-wrap --no-shadow --yes-label "4" --no-label "3" --help-button --help-label "README" --colors --defaultno --title " TDM " --yesno \
dialog --cr-wrap --nocancel --no-shadow --extra-button --extra-label "README" --colors --title " TDM " --checklist \
"
TDM is included in the tdebase build.
See the README for further details ..
Select:
runlevel \Zb\Z64\Zn - to login with TDM and boot into the GUI
runlevel \Zb\Z63\Zn - to boot into a terminal - the Slackware default.
A file \Zb\Z2rc.4.local.tdm\Zn, specifically for launching TDM, will be installed with tdebase.
This option can be overridden later by editing /etc/inittab.
These options will add commands to doinst.sh:
[1] Selecting \Z3\Zbrc4l\Zn will copy \Zb\Z2rc.4.local.tdm\Zn to \Zb\Z2rc.4.local\Zn, overwriting any existing file.
[2] Selecting \Z3\Zbrl4\Zn will set runlevel 4 in etc/inittab to enable login with TDM, or other DM.
Otherwise no change will be made to etc/inittab.
With both options selected, TDM should be set up to run by default.
" \
13 75
25 75 2 \
" rc4l" "install rc.4.local for TDM" off \
" rl4" "set runlevel 4" off \
2> $TMPVARS/RUNLEVEL
EXITVAL=$?
[[ $EXITVAL == 0 ]] && echo 4 > $TMPVARS/RUNLEVEL
[[ $EXITVAL == 1 ]] && echo 3 > $TMPVARS/RUNLEVEL
[[ $EXITVAL == 2 ]] && dialog --cr-wrap --no-shadow --colors --ok-label "Return" --msgbox \
[[ $EXITVAL == 3 ]] && dialog --cr-wrap --no-shadow --colors --ok-label "Return" --title " TDM README " --msgbox \
"
$(cat Core/tdebase/README|sed "s|/{TDE_installation_dir}|$(cat $TMPVARS/INSTALL_TDE)|;s|(|\\\Z6\\\Zb|;s|)|\\\Zn|")
" \
@ -612,7 +620,6 @@ EXITVAL=$?
$(cat Apps/kvkbd/README)
" \
30 75
#}
done
}
@ -668,9 +675,9 @@ Create and/or update the git repositories local copies.
#rm -f $TMPVARS/PRE_DOWNLOAD ## this is done at the head of this script
[[ $(cat $TMPVARS/TDEVERSION) == 14.0.9 ]] && PRE_DOWNLOAD_MESSAGE="Only the source archives not already in 'src' will be downloaded."
[[ $(cat $TMPVARS/TDEVERSION) == 14.0.10 ]] && PRE_DOWNLOAD_MESSAGE="Only the source archives not already in 'src' will be downloaded."
[[ $(cat $TMPVARS/TDEVERSION) == 14.1.0 || $(cat $TMPVARS/TDEVERSION) == 14.0.x ]] && PRE_DOWNLOAD_MESSAGE="All cgit sources for the build list packages will be cloned/updated.\nMisc archives will only be downloaded if not already in 'src'." && LINES=18
## testing for cgit!=no will allow =yes or null, which is the 14.0.9 build case
## testing for cgit!=no will allow =yes or null, which is the 14.0.10 build case
[[ $(cat $TMPVARS/DL_CGIT) != no ]] && {
dialog --cr-wrap --no-shadow --colors --defaultno --title " Only download sources " --yesno \
"
@ -737,7 +744,6 @@ export KEEP_BUILD=$(cat $TMPVARS/KEEP_BUILD)
export RUNLEVEL=$(cat $TMPVARS/RUNLEVEL)
export PRE_DOWNLOAD=$(cat $TMPVARS/PRE_DOWNLOAD)
export TDEPFX=$(cat $TMPVARS/TDEPFX)
export WinLock=$(cat $TMPVARS/WinLock)
## Set installation directory for tqt
TQTDIR=$INSTALL_TDE
@ -767,7 +773,7 @@ export PLUGIN_INSTALL_DIR=$(cat $TMPVARS/SYS_CNF_DIR | cut -d/ -f3)
[[ $EXIT_FAIL == "exit 1" ]] && AOF=stop
#
## if tdebase selected
[[ $(grep -o tdebase $TMPVARS/TDEbuilds) ]] && TDMRL=$RUNLEVEL
[[ $(grep -o tdebase $TMPVARS/TDEbuilds) ]] && [[ $(cat $TMPVARS/RUNLEVEL) == *rl4* ]] && TDMRL=4
#
## koffice - only if it is being built
[[ $(grep -o "Apps/koffice " $TMPVARS/TDEbuilds) ]] && {

@ -35,26 +35,10 @@ untar_fn
listdocs_fn
[[ $TDEVERSION == 14.0.9 ]] && ltoolupdate_fn
chown_fn
cd_builddir_fn
[[ $TDEVERSION == 14.0.9 ]] && {
CFLAGS="$SLKRCFLAGS" \
CXXFLAGS="$SLKRCFLAGS" \
CC=$COMPILER \
CXX=$COMPILER_CXX \
../configure \
--prefix=$INSTALL_TDE \
--disable-rpath \
--enable-closure
} || {
##
AKODE=OFF && [[ -s $INSTALL_TDE/include/akode/akodelib.h ]] && AKODE=ON
FREEVERB=OFF && [[ -s $INSTALL_TDE/include/arts/artsmodules.h ]] && FREEVERB=ON
@ -92,8 +76,6 @@ cmake \
-Wno-dev \
..
}
make_fn
installdocs_fn

@ -1,5 +1,3 @@
TDM
(Installing tdebase)
In line with normal practice, tdmrc will not be overwritten and tdmrc.new will be installed for admin decision on whether to use it as tdmrc. Where tdmrc doesn't exist, it will be created by doinst.sh from tdmrc.new.
@ -17,11 +15,11 @@ This has been included on the assumption that the standard entry in rc.4[.new] f
exec /bin/bash /etc/rc.d/rc.4.local
fi
To enable tdm if this isn't the case, either
To enable TDM if this isn't the case, either
[1] add this test to rc.4 above other session manager options
or
[2] copy the contents of rc.4.local to rc.4 above other session manager options
(Runlevel)
Set this to 4 and tdm should work out-of-the-box.
Set this to 4 and TDM should work out-of-the-box.

@ -320,37 +320,17 @@ chmod 755 $PKG/etc/profile.d/tde.{,c}sh
##############################################################################
# Add some configuration files / scripts needed by TDE.
mkdir -p $PKG$SYS_CNF_DIR
mv $PKG$INSTALL_TDE/share/config/tdm $PKG$SYS_CNF_DIR/tdm
( cd $PKG$INSTALL_TDE/share/config ; ln -sf $SYS_CNF_DIR/tdm tdm )
##############################################################################
# Add rc.4.local to give TDM priority over rc.4 X11 session manager options
# Assumes that rc.4.new from sysvinit-scripts still has the rc.4.local option
mkdir $PKG/etc/rc.d
echo '#!'" /bin/sh
# Start TDM:
if [ -x $INSTALL_TDE/bin/tdm ]; then
echo 'Using TDM (Trinity Login Manager).'
echo
# log_cleanup '/var/log/tdm.log'
exec $INSTALL_TDE/bin/tdm -nodaemon -error /var/log/tdm.log
fi
" > $PKG/etc/rc.d/rc.4.local
chmod 755 $PKG/etc/rc.d/rc.4.local
##############################################################################
# Set sane permissions for the include files.
if [ -d $PKG$INSTALL_TDE/include ]; then
find $PKG$INSTALL_TDE/include -type f -exec chmod 0644 {} \;
fi
##############################################################################
################################# TDM stuff #################################
# Add some configuration files / scripts needed by TDE.
mkdir -p $PKG$SYS_CNF_DIR
mv $PKG$INSTALL_TDE/share/config/tdm $PKG$SYS_CNF_DIR/tdm
( cd $PKG$INSTALL_TDE/share/config ; ln -sf $SYS_CNF_DIR/tdm tdm )
# Setup config files for TDM:
$PKG$INSTALL_TDE/bin/gentdmconf --no-old --no-old-scripts --no-backup --in $PKG$SYS_CNF_DIR/tdm
@ -456,12 +436,26 @@ esac
exec xmessage -center -buttons OK:0 -default OK "Sorry, cannot execute $session. Check $DESKTOP_SESSION.desktop."
' > $PKG$SYS_CNF_DIR/tdm/Xsession
##############################################################################
# Add rc.4.local to give TDM priority over rc.4 X11 session manager options
# Assumes that rc.4.new from sysvinit-scripts still has the rc.4.local option
mkdir $PKG/etc/rc.d
echo '#!'" /bin/sh
# Start TDM:
if [ -x $INSTALL_TDE/bin/tdm ]; then
echo 'Using TDM (Trinity Login Manager).'
echo
# log_cleanup '/var/log/tdm.log'
exec $INSTALL_TDE/bin/tdm -nodaemon -error /var/log/tdm.log
fi
" > $PKG/etc/rc.d/rc.4.local.tdm
chmod 755 $PKG/etc/rc.d/rc.4.local.tdm
mv $PKG$SYS_CNF_DIR/tdm/backgroundrc $PKG$SYS_CNF_DIR/tdm/backgroundrc.new
[[ -r $PKG$SYS_CNF_DIR/tdm/README ]] && \
sed -i "s|$TMP_BUILD/package-tdebase$SYS_CNF_DIR/tdm|$SYS_CNF_DIR/tdm|" $PKG$SYS_CNF_DIR/tdm/README
##############################################################################
mkdir_install_fn
@ -520,12 +514,6 @@ fi
sed -i '\''s|source /etc/profile.d/mc.sh|#source /etc/profile.d/mc.sh|'\'' $HOME/.bashrc || true
' > $PKG/install/doinst.sh
[[ $RUNLEVEL == 4 ]] && {
echo "## set default runlevel to 4 for tdm
sed -i 's|id:[1-5]|id:4|' etc/inittab
" >> $PKG/install/doinst.sh
}
## set TDEHOME and TDEROOTHOME variables - defaults ~/.trinity and /root/.trinity
[[ $SYS_CNF_DIR == /etc/tde ]] && {
echo "# upgradepkg runs installpkg twice, so firstly remove any previous TDE*HOME entries
@ -535,6 +523,20 @@ echo 'export TDEROOTHOME=/root/.tde' >> /etc/profile
" >> $PKG/install/doinst.sh
}
## Set up doinst.sh according to the TDM options selected
[[ $(cat $TMPVARS/RUNLEVEL) == *rc4l* ]] && {
echo '## login manager TDM selected
cp etc/rc.d/rc.4.local.tdm etc/rc.d/rc.4.local
' >> $PKG/install/doinst.sh
}
#
[[ $(cat $TMPVARS/RUNLEVEL) == *rl4* ]] && {
echo "## set default runlevel to 4 for TDM
sed -i 's|id:[1-5]|id:4|' etc/inittab
" >> $PKG/install/doinst.sh
}
doinst_sh_fn
##############################################################################

@ -89,17 +89,13 @@ untar_fn
## patch for kig python scripting error:
## kig: /usr/include/boost/python/object_core.hpp:422: boost::python::api::object_base::~object_base(): Assertion `Py_REFCNT(m_ptr) > 0' failed.
## Re: https://bugs.kde.org/show_bug.cgi?id=401512#c5
[[ $TDEVERSION == 14.0.9 ]] && EXTN=cc || EXTN=cpp
patch -N -p0 << EOF || true
--- kig/scripting/python_scripter.$EXTN
+++ kig/scripting/python_scripter.$EXTN
--- kig/scripting/python_scripter.cpp
+++ kig/scripting/python_scripter.cpp
@@ -493,0 +494 @@
+ Py_XINCREF((objectvect.begin() +i)->ptr());
EOF
## for 14.0.9, already done in cgit
sed -i 's|Nome del file di input|Input filename|' kig/pykig/pykig.py
## add some files to html docs
sed -i 's|*.png|& *.svgz README|' cmake/modules/TDEMacros.cmake

@ -110,8 +110,6 @@ mkdir_install_fn
doinst_sh_fn
## tdefifteen has been added to 14.0.x and 14.1.0 builds
[[ $TDEVERSION != 14.0.9 ]] && TDE15=" * tdefifteen: A sliding tile puzzle."
echo "
# HOW TO EDIT THIS FILE:
# The 'handy ruler' below makes it easier to edit a package description. Line
@ -155,7 +153,7 @@ $PRGNAM: * ktron: Like ksnake, but without fruits.
$PRGNAM: * ktuberling: Kids game: make your own potato
$PRGNAM: * lskat: 2 player skat card game.
$PRGNAM: * twin4: Place 4 pieces in a row.
$PRGNAM:${TDE15:-}
$PRGNAM: * tdefifteen: A sliding tile puzzle.
" > $PKG/install/slack-desc
makepkg_fn

@ -54,11 +54,6 @@ chown_fn
cd_builddir_fn
## Slackware current build with poppler v21....
## error: cannot convert XRef* to PDFDoc*
## Workaround until resolved:
[[ $(ls /var/log/packages/poppler-*) == *-2[1-9].* ]] && W_PDF=OFF
# If imlib is installed, include Kuickshow:
[[ -s /usr/include/Imlib.h ]] && KUICKSHOW=ON
cmake \
@ -74,7 +69,7 @@ cmake \
-DWITH_PAPER="OFF" \
-DWITH_TIFF="OFF" \
-DWITH_OPENEXR="OFF" \
-DWITH_PDF=${W_PDF:-ON} \
-DWITH_PDF="ON" \
-DBUILD_DOC="ON" \
-DBUILD_TDEFILE_PLUGINS="ON" \
-DBUILD_KUICKSHOW=${KUICKSHOW:-OFF} \

Loading…
Cancel
Save